package flash.display {


/**
 * The FrameLabel object contains properties that specify a frame number and the corresponding label name. The Scene class includes a <code>labels</code> property, which is an array of FrameLabel objects for the scene.
 * @see Scene#labels
 * @see MovieClip#currentLabel
 * @see MovieClip#currentScene
 * @see MovieClip#scenes
 * @see MovieClip#gotoAndPlay()
 * @see MovieClip#gotoAndStop()
 *
 */
public final class FrameLabel {
  /**
   * The frame number containing the label.
   */
  public native function get frame():int;

  /**
   * The name of the label.
   */
  public native function get name():String;

  // ************************** Jangaroo part **************************

  /**
   * @private
   */
  public function FrameLabel(){super();}

}
}